
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../store/actions.dart';
import '../store/store.dart';
import '../widgets/desktop/desktop_new_comment.dart';
import '../widgets/mobile/mobile_new_comment.dart';

class NewComment extends StatelessWidget {
  final int orderId;

  const NewComment(this.orderId, {Key? key}) :
        super(key: key);


  @override
  Widget build(BuildContext context) {
    store.dispatch(UpdateContext(context));

    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          ScreenTypeLayout(
            mobile: MobileNewComment(orderId,),
            tablet: DesktopNewComment(orderId,),
            desktop: DesktopNewComment(orderId,),
          ),
    );
  }

}